<html>
<!--    cibl&eacute; par:  ../menu-base.php

		cible:	choix-client.php
				liste-contrat.php						
 -->

<!-- param&egrave;tre &eacute;mis:        -session_id         le num&eacute;ro de la session
							-organisme
							-nom
							-prenom
							-etat
							-date

	 param&egrave;tre re&ccedil;evable :  -session_id         le num&eacute;ro de la session
 -->
 <head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Contracts</title>
<body>

<?php 

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("../outils/gui.php");
require("../outils/session.php");
require("../outils/mise_en_page.php");
require("../historique.php");

//V&eacute;rifier si la session est valide.
$Bsession_id = $_GET["Bsession_id"];
verifierSession($Bsession_id);

//V&eacute;rifier les droits de l'utilisateur.
$privilege_base = lirePrivilege($Bsession_id);
if (($privilege_base != 2) and ($privilege_base != 1))
	die("Vous n'avez pas les droits!");
	
historique("../historique.txt","MENU CONTRAT",$Bsession_id);

	//Afficher les champs d'entr&eacute;e des informations du nouveau dossier.

print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-haut-gauche.gif></td>");
print("<td bgcolor=#636300><center><font face=Arial,Helvetica size=3 color=white><b>Gestion des contrats</b></td>");
print("<td bgcolor=white width=27px><img src=coin-haut-droit.gif></td>");
print("</tr></table>");	
	
	
	print("<table border=0 cellspacing=0 cellpadding=0 width=750px><tr><td valign=top width=300px>");
	
	if ($privilege_base == 2)//protection pour les droits de modification
	{
		//NOUVEAU CONTRAT****************************************************************************	
		print("<tr><td colspan=2 bgcolor=#E7EFCE><b>");
		print("<form action=\"choix-client.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"nouveau-contract\">");
		print("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
		print("<input type=\"submit\" name=\"nouveau_contract\" value=\"        nouveau contrat        \">");
		print("</form>");
		//NOUVEAU CLIENT ET CONTRAT******************************************************************
		print("<form action=\"../client/nouveau-client.php?lien=2&Bsession_id=".$Bsession_id."\" method=\"post\" name=\"nouveau-contract-client\">");
		print("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
		print("<input type=\"submit\" name=\"nouveau_contract_client\" value=\"nouveau client et contrat\">");
		print("</form></td></tr>");
	}
	
	
	//RECHERCHE PAR NUM&Eacute;RO DE CONTRAT******************************************************************

	print ("<form action=\"liste-contract.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"champ\">");
		    print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
			print ("<input type='hidden' name='numero' value=".$numero.">");
			print ("<input type='hidden' name='type' value=5>");
			print ("<input type='hidden' name='order' value=1>");			
	
	print("<tr><td colspan=2 bgcolor=#636300><font face=Arial,Helvetica size=2 color=white><b>Recherche par num&eacute;ro de contrat</td></tr>");
	print("<tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2><b>");
	print("Entrez le num&eacute;ro :");
	print("<input type=\"text\" value=\"$numero\" name=\"numero\" align=\"top\" maxlength=\"40\" size=\"25\">");
	print("</td><td bgcolor=#E7EFCE width=300px>");
	
	//bouton soummission
	print("<input type=\"submit\" value=\"Chercher\">");	
 	print("</form></td></tr>");
	
	
 	print("<tr><td bgcolor=#E7EFCE colspan=2>");
 	print("<font face=Arial,Helvetica size=2>Cette section vous permet d'effectuer la recherche d'un contrat par son num&eacute;ro.<br>Vous pouvez utiliser le symbole de pourcentage ( % ) pour remplacer plusieurs caract&egrave;res.");
	print("</form></td></tr>");
	
	
	

	

	
//RECHERCHE PAR CONTACT**********************************************************************
			print ("<form action=\"liste-contract.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"champ2\">");
		    print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
			print ("<input type='hidden' name='nom' value=".$nom.">");
			print ("<input type='hidden' name='prenom' value=".$prenom.">");
			print ("<input type='hidden' name='type' value=2>");
			
	print("<tr><td colspan=2 bgcolor=#636300><font face=Arial,Helvetica size=2 color=white><b>Recherche par contact :</td></tr>");
	
	print("<tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2><b>");
	print("Nom : <input type=\"text\" value=\"$nom\" name=\"nom\" align=\"top\" maxlength=\"25\" size=\"25\"><br>");
	print("Pr&eacute;nom : <input type=\"text\" value=\"$prenom\" name=\"prenom\" align=\"top\" maxlength=\"25\" size=\"25\">");
	print("</td><td bgcolor=#E7EFCE width=300px>");
	
	//bouton soummission
	print("<br><br><br><input type=\"submit\" value=\"Chercher\"></form>");
	
		
	print("</td></tr><tr><td bgcolor=#E7EFCE colspan=2><br>");
 	print("<font face=Arial,Helvetica size=2>Cette section vous permet d'effectuer la recherche d'un client par son nom ou son pr&eacute;nom.<br>Vous pouvez utiliser le symbole de pourcentage ( % ) pour remplacer plusieurs caract&egrave;res.");
	print("</td></tr>");
	
	
	
//RECHERCHE PAR DATE D'&Eacute;MISSION******************************************************************

	print ("<form action=\"liste-contract.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"champ\">");
		    print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
			print ("<input type='hidden' name='date_emission' value=".$date_emission.">");
			print ("<input type='hidden' name='type' value=3>");			
	
	print("<tr><td colspan=2 bgcolor=#636300><font face=Arial,Helvetica size=2 color=white><b>Recherche par date d'&eacute;mission :</td></tr>");
	
	print("<tr><td bgcolor=#E7EFCE><b>");
	print("<input type=\"text\" value=\"$date_emission\" name=\"date_emission\" align=\"top\" maxlength=\"40\" size=\"25\">(AAAA-MM-JJ)");
	print("</td><td bgcolor=#E7EFCE width=300px>");
	
	//bouton soummission
	print("<br><input type=\"submit\" value=\"Chercher\">");	
 	print("</form></td></tr>");
	
	
 	print("<tr><td bgcolor=#E7EFCE colspan=2>");
 	print("<font face=Arial,Helvetica size=2>Cette section vous permet d'effectuer la recherche d'un contrat par sa date d'&eacute;mission.");
	print("</form></td></tr>");	
	
	
//RECHERCHE PAR &Eacute;TAT******************************************************************

	print ("<form action=\"liste-contract.php?Bsession_id=".$Bsession_id."\" method=\"get\" name=\"champ\">");
		    print ("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
			print ("<input type='hidden' name='etat' value=".$etat.">");
			print ("<input type='hidden' name='type' value=4>");			
	
	print("<tr><td colspan=2 bgcolor=#636300><font face=Arial,Helvetica size=2 color=white><b>Recherche par &eacute;tat :</td></tr>");
	
	print("<tr><td bgcolor=#E7EFCE><font face=Arial,Helvetica size=2><b>");
	print("Recherche par &eacute;tat : ");
	
	print("<select name=\"etat\">
			<option selected value=\"soumission\">soumission</option>
			<option value=\"actif\">actif</option>
			<option value=\"pass&eacute;\">pass&eacute;</option>
			<option value=\"annul&eacute;\">annul&eacute;</option>				
		</select>");
	print("</td><td bgcolor=#E7EFCE width=300px>");

	//bouton soummission
	print("<br><input type=\"submit\" value=\"Chercher\">");
 	print("</form></td></tr>");


 	print("<tr><td bgcolor=#E7EFCE colspan=2>");
 	print("<font face=Arial,Helvetica size=2>Cette section vous permet d'effectuer la recherche d'un contrat par sa date d'&eacute;mission.");
	print("</form></td></tr>");



	print("<tr><td colspan=2 bgcolor=#636300 width=746px><font color=#636300>.</td></tr>");
//BAS DE PAGE*****************************************************************
print("<tr><td bgcolor=#E7EFCE colspan=2>");
print("<br><center>");
	//Afficher le bouton de retour au menu principal.
	print("<form action=\"../menu-base.php?Bsession_id=".$Bsession_id."\" method=\"post\" name=\"principal\">");
	print("<input type=\"hidden\" name=\"Bsession_id\" value=".$Bsession_id.">");
	print("<input type=\"submit\" name=\"menu_principal\" value=\"Menu Principal\"></form>");
print("</td></tr></table>");


print("<center><table cellspacing=0 cellpadding=0 width=750px border=0>");
print("<tr><td bgcolor=white width=27px><img src=coin-bas-gauche.gif></td>");
print("<td bgcolor=#636300 width=746px></td>");
print("<td bgcolor=white width=27px><img src=coin-bas-droit.gif></td>");
print("</tr></table>");

	
?>

</body>
</html>	
	
	
	
	
